Pb démarrage Eclipse

danon

Nouveau membre
19 Octobre 2005
3
0
Bonjour,

Je viens de recupérez l'archive de Eclipse 3.1.1, et de la detarrer sur mon mac.
Le probleme survient quand je lance l'appli. Il me dit d'aller voir le fichier de log d'erreur, ou se trouve une 'exception' qui me dit qu'il ne trouve pas le module à démarrer.

Apparemment, c'est un probleme courant avec cette version. Quelqu'un aurait-il la solution ?

Merci
 

danon

Nouveau membre
19 Octobre 2005
3
0
GrandGibus a dit:
Salut et bienvenue sur MacGé,

Petites questions préalables:

* As-tu utilisé cette version ?
non, j'ai utilise la vresion Plateforme + SDK, car franchement, avec seulement le SDK, je ne vais pas aller loin...

GrandGibus a dit:
* Quel mac (os, ram...) ?
iBook 933 Mhz, Mac OS 10.3.9 (A jour), 256 Mo de RAM, etc...
Une becane sans pbs, mais cela n'influe pas dans notre cas.

GrandGibus a dit:
*Quelle version de jdk-jre sur ton mac ?
Je tourne avec la 1.4.2 livrée avec les mises à jour Mac, et le ADC.

GrandGibus a dit:
* quelle est la trace d'erreur (exacte)

!SESSION 2005-10-19 17:25:19.598 -----------------------------------------------
eclipse.buildId=I20050627-1435
java.version=1.4.2_09
java.vendor=Apple Computer, Inc.
BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=fr_FR
Framework arguments: -keyring /Users/nicolascontamin/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws carbon -arch ppc -keyring /Users/nicolascontamin/.eclipse_keyring -consoleLog -showlocation

!ENTRY org.eclipse.osgi 2005-10-19 17:25:24.943
!MESSAGE Bundle org.eclipse.core.runtime@2:start not found.

!ENTRY org.eclipse.osgi 2005-10-19 17:25:25.13
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service.
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:367)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)


Danon'.

Note: Oki, j'ai craqué! Je viens d'arriver a le faire marcher en allant recompiler les sources. Mais je serais interessé par la solution de gens ayant eu ce pb.
 

danon

Nouveau membre
19 Octobre 2005
3
0
Ce n'est pas le meme probleme, mais effectivement, je pense avoir compris ce qui n'allait pas:

Il semblerait que par defaut dans le fichier de configuration, la ligne ci-dessous, qui donne la liste des plugin a lancer au demarrage, soit decommentee.

osgi.bundles=org.eclipse.core.runtime@2:start, org.eclipse.update.configurator@3:start
D'apres la discussion que tu as cite et mon message d'erreur, elle devrait etre commentee.

Merci,


Danon'.